Loading...
Searching...
No Matches
AVIAMFReconGain Struct Reference
libavutil » Audio related » Immersive Audio Model and Formats » Parameter Definition

Recon Gain Info Parameter Data as defined in section 3.8.3 of IAMF. More...

`#include <libavutil/iamf.h>`

## Data Fields

const AVClass * | av_class
unsigned int | subblock_duration
| Duration for the given subblock, in units of 1 / parameter_rate.
uint8_t | recon_gain [6][12]
| Array of gain values to be applied to each channel for each layer defined in the Audio Element referencing the parent Parameter Definition.

## Detailed Description

Recon Gain Info Parameter Data as defined in section 3.8.3 of IAMF.

Note
  This struct's size is not a part of the public ABI.

Definition at line 148 of file iamf.h.

## Field Documentation

## av_class

const AVClass* AVIAMFReconGain::av_class

Definition at line 149 of file iamf.h.

## subblock_duration

unsigned int AVIAMFReconGain::subblock_duration

Duration for the given subblock, in units of 1 / parameter_rate.

It must not be 0.

Definition at line 156 of file iamf.h.

## recon_gain

uint8_t AVIAMFReconGain::recon_gain[6][12]

Array of gain values to be applied to each channel for each layer defined in the Audio Element referencing the parent Parameter Definition.

Values for layers where the AV_IAMF_LAYER_FLAG_RECON_GAIN flag is not set are undefined.

Channel order is: FL, C, FR, SL, SR, TFL, TFR, BL, BR, TBL, TBR, LFE

Definition at line 166 of file iamf.h.

The documentation for this struct was generated from the following file:

- libavutil/iamf.h